# 64bit
# source https://sourceforge.net/projects/gtkspell/files/3.0.7/gtkspell3-3.0.7.tar.gz

%global name	gtkspell3
%global version	3.0.7
%global api	_3
%global major	0
%global gmajor	3.0
%global libname %mklibname %{name} %{api} %{major}
%global develname %mklibname %{name} -d
%global girname %mklibname %{name}-gir %{gmajor}

Name:           %{name}
Version:        3.0.10
Release:        %mkrel 2
Summary:        GtkSpell provides MSWord-style highlighting of misspelled words in a GtkText widget
License:        GPLv2+
URL:            http://gtkspell.sourceforge.net/
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  %{_lib}enchant-devel
BuildRequires:  %{_lib}girepository-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}vala-devel
BuildRequires:  libpthread-stubs

%description
GtkSpell provides MSWord-style highlighting of misspelled words in a GtkText widget.
Also, right-clicking a misspelled word pops up a menu of suggested replacements.
GtkSpell can easily be added to Gtk projects.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
The %{libname} package contains libraries for applications that use
GtkSpell API version 3.0.


%package -n %{develname}
Summary:        Development files for %{name}
Group:		Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use GtkSpell API version 3.0.

%prep
%setup -q

%build
%configure2_5x \
  --disable-static \
  --enable-vala
%make

%install
%__rm -rf %{buildroot}
%make_install
find %{buildroot} -name '*.la' -delete
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog

%files -n %{libname}
%{_libdir}/libgtkspell3-3.so.%{major}
%{_libdir}/libgtkspell3-3.so.%{major}.*
%{_libdir}/girepository-1.0/GtkSpell-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/gtkspell-3.0
%{_libdir}/libgtkspell3-3.so
%{_libdir}/pkgconfig/gtkspell3-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir
%{_datadir}/vala/vapi/gtkspell3-3.0.deps
%{_datadir}/vala/vapi/gtkspell3-3.0.vapi

%changelog
* Sat Dec 19 2020 tex - 3.0.10-2pclos2021
- rebuild against updates

* Fri Dec 18 2020 tex - 3.0.10-1
- new version

* Tue Feb 23 2016 marcin82 <fixxer1982@gmail.com> 3.0.7-1pclos2016
- Initial build for PCLinuxOS
